Modules/Tareas/Routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['auth'])->group(function () {
    Route::resource('tareas', 'TareasController');
    Route::get('task/data-array', 'TaskDatatableController@index');
    Route::resource('clientes', 'ConsignedController');
    Route::get('cliente/data-array', 'ConsignedDataTableController@index');

    Route::resource('conserjes', 'ConserjesController');

});
Route::get('clientes-ajax', 'ConsignedRemoteController@index');

Modules/Tareas/Entities/Consigned.php
<?php

namespace Modules\Tareas\Entities;

use Illuminate\Database\Eloquent\Model;

class Consigned extends Model
{

    /**
     * @var array
     */
    protected $fillable = [
        'name', 'address', 'clinic_id'
    ];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function clinic()
    {
        return $this->belongsTo(Clinic::class, 'clinic_id', 'id');
    }
}

Modules/Tareas/Http/Controllers/ConsignedController.php
<?php

namespace Modules\Tareas\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Modules\Tareas\Entities\Clinic;
use Modules\Tareas\Entities\Consigned;

class ConsignedController extends Controller
{
    public function __construct()
    {
        $this->middleware(['role:administrador', 'permission:ver cliente'])->only(['index', 'show']);
        $this->middleware(['role:administrador', 'permission:crear clientes'])->only(['create', 'store']);
        $this->middleware(['role:administrador', 'permission:editar clientes'])->only(['edit', 'update']);
        $this->middleware(['role:administrador', 'permission:borrar clientes'])->only(['destroy']);
    }

    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index()
    {
        return view('tareas::consigned.index');
    }

    /**
     * Show the form for creating a new resource.
     * @return Response
     */
    public function create()
    {
        $clinicas = Clinic::all()->pluck('name', 'id');
        $clinicas->prepend('Select', 'Select');
        return view('tareas::consigned.create', compact('clinicas'));
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required',
        ]);

        $cliente = Consigned::create($request->all());
        return redirect()->to(route('clientes.index'));
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show($id)
    {
        $cliente = Consigned::findOrfail($id);
        return view('tareas::consigned.show', compact('cliente'));
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Response
     */
    public function edit($id)
    {
        $cliente = Consigned::findOrFail($id);
        $clinicas = Clinic::all()->pluck('name', 'id');
        $clinicas->prepend('Select', 'Select');

        return view('tareas::consigned.edit', compact('cliente', 'clinicas'));
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'name' => 'required',
        ]);
        $cliente = Consigned::findOrFail($id);
        $cliente->update($request->all());

        return redirect()->to(route('clientes.index'));
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Response
     */
    public function destroy($id)
    {
        //
    }
}

Modules/Tareas/Resources/views/consigned/_form.blade.php
<div class="form-group">
    <label for="name">Nombre</label>
    {!! Form::text('name', null, ['class' => 'form-control']) !!}
</div>

<div class="form-group">
    <label for="address">Dirección (Opcional)</label>
    {!! Form::textarea('address', null, ['class' => 'form-control']) !!}
</div>

<div class="form-group">
    <label for="address">Clinica (Opcional)</label>
    {!! Form::select('clinic_id', $clinicas, null, ['class' => 'form-control address-select']) !!}
</div>

<hr/>
<button type="submit" class="btn btn-primary">Enviar</button>

Modules/Tareas/Resources/views/consigned/create.blade.php
@extends('tareas::layouts.admin')

@section('content')

    @component('layouts.admin._cFrame')
        @slot('title')
            Creación de Clientes
        @endslot
        @slot('buttons')
            <a href="#" class="dropdown-toggle" data-toggle="dropdown"
               role="button"
               aria-expanded="false"><i class="fa fa-wrench"></i></a>
            <ul class="dropdown-menu" role="menu">
                <li>
                    <a href="{{ route('clientes.index') }}" class="btn" alt="regresar">
                        <i class="fa fa-arrow-left"></i> Regresar</a>
                </li>
            </ul>
        @endslot
        @slot('content')
            {!! Form::open(['route' => ['clientes.store']]) !!}
            @include('tareas::consigned._form')
            {!! Form::close() !!}
        @endslot
    @endcomponent
@stop

Modules/Tareas/Resources/views/consigned/edit.blade.php
@extends('tareas::layouts.admin')

@section('content')
    @component('layouts.admin._cFrame')
        @slot('title')
           Editando  {{ $cliente->name }}
        @endslot
        @slot('buttons')
            <a href="#" class="dropdown-toggle" data-toggle="dropdown"
               role="button"
               aria-expanded="false"><i class="fa fa-wrench"></i></a>
            <ul class="dropdown-menu" role="menu">
                <li>
                    <a href="{{ route('clientes.index') }}" class="btn" alt="regresar">
                        <i class="fa fa-arrow-left"></i> Regresar</a>
                </li>
            </ul>
        @endslot
        @slot('content')
            {!! Form::model($cliente, ['route' => ['clientes.update', $cliente->id], 'method' => 'PUT']) !!}
            @include('tareas::consigned._form')
            {!! Form::close() !!}
        @endslot
    @endcomponent
@stop

Modules/Tareas/Resources/views/consigned/index.blade.php
@extends('tareas::layouts.admin')


@section('content')
    @component('layouts.admin._cFrame')
        @slot('title')
            Listado de Clientes
        @endslot
        @slot('buttons')
            <a href="#" class="dropdown-toggle" data-toggle="dropdown"
               role="button"
               aria-expanded="false"><i class="fa fa-wrench"></i></a>
            <ul class="dropdown-menu" role="menu">
                <li>
                    <a href="{{ route('clientes.create') }}" class="btn" alt="Crear Cliente">
                        <i class="fa fa-plus"></i> Crear Cliente</a>
                </li>
            </ul>
        @endslot
        @slot('content')
            <table id="clientesDatatable" class="table">
                <thead>
                <th>Nombre</th>
                <th>Dirección</th>
                <th>Clinica externa</th>
                </thead>
            </table>
        @endslot
    @endcomponent
@stop

Modules/Tareas/Resources/views/consigned/show.blade.php
@extends('tareas::layouts.admin')

@section('content')
    @component('layouts.admin._cFrame')
        @slot('title')
            {{ $cliente->name }}
        @endslot
        @slot('buttons')
            <a href="#" class="dropdown-toggle" data-toggle="dropdown"
               role="button"
               aria-expanded="false"><i class="fa fa-wrench"></i></a>
            <ul class="dropdown-menu" role="menu">
                <li>
                    <a href="{{ route('clientes.index') }}" class="btn" alt="regresar">
                        <i class="fa fa-arrow-left"></i> Regresar</a>
                </li>
            </ul>
        @endslot
        @slot('content')
            <table class="table">
                <tr class="alert-info">
                    <th>Nombre</th>
                    <th>Clinica</th>
                </tr>
                <tr>
                    <td><a class="btn btn-info"
                           href="{{ route('clientes.edit', $cliente->id) }}">{{ $cliente->name }}</a></td>
                    <td>{{ isset($cliente->clinic->name) ? $cliente->clinic->name : '' }}</td>
                </tr>
                <tr class="alert-info">
                    <th colspan="2">Dirección</th>
                </tr>
                <tr>
                    <td colspan="2">{{ $cliente->address }}</td>
                </tr>
            </table>
        @endslot
    @endcomponent
@stop